package templates

import com.inchron.realtime.root.model.Model
import org.eclipse.app4mc.amalthea.model.Frequency
import org.eclipse.app4mc.amalthea.model.FrequencyDomain
import org.eclipse.app4mc.amalthea.model.HWModel
import org.eclipse.app4mc.amalthea.model.HwStructure
import org.eclipse.app4mc.amalthea.model.Memory
import org.eclipse.app4mc.amalthea.model.ProcessingUnit

public class CustomHWTransformer extends HWTransformer{

protected var Model inchronModel;

	 public override transfromHWModel(HWModel amltHWModel, Model inchronModel){ 
			super.transfromHWModel(amltHWModel,inchronModel)	 	
	 }
	 
	 
	 public override create inchronModelFactory.createCpu createCpu(HwStructure amltMicrocontroller){ 
	 	super.createCpu(amltMicrocontroller)
	 }
	 
	 override create inchronModelFactory.createClock createClock(FrequencyDomain amltQuartz){
	 	 super.createClock(amltQuartz)
	 }
	 
	  override create inchronModelFactory.createFrequency createFrequency(Frequency amltFrequency){ 
	  	super.createFrequency(amltFrequency)
	  }

	 override create inchronModelFactory.createCpuCore createCpuCore(ProcessingUnit core){
	 	
		super.createCpuCore(core)	 	
	 }
	 
	  override create inchronmemoryFactory.createMemory createMemory(Memory amltMemory){
	  	super.createMemory(amltMemory)
	  }
}
