package templates.m2m.hw

import com.google.inject.Inject
import com.inchron.realtime.root.model.memory.MemoryType
import org.eclipse.app4mc.amalthea.model.Cache
import templates.AbstractAmaltheaInchronTransformer

class CacheTransformer extends AbstractAmaltheaInchronTransformer{
	
	@Inject FrequencyDomainTransformer frequencyDomainTransformer
	
	public def create inchronmemoryFactory.createMemory createCache(Cache  amltCache ){
	
	it.name=amltCache.name
	
	it.clock=frequencyDomainTransformer.createClock(amltCache.frequencyDomain)
	
	it.type=MemoryType.CACHE
	}
}