package templates.m2m.hw

import org.eclipse.app4mc.amalthea.model.ProcessingUnit
import templates.AbstractAmaltheaInchronTransformer
import templates.utils.AmltCacheModel

class ProcessingUnitTransformer extends AbstractAmaltheaInchronTransformer{
	public def create inchronModelFactory.createCpuCore createCpuCore(ProcessingUnit amltProcessingUnit){
	
	val AmltCacheModel cacheModel=customObjsStore.getInstance(AmltCacheModel)
	
	it.name=amltProcessingUnit.name
	
	it.prescaler=1
	
	cacheModel.addInchronCpuCore(it)
	}
}