package templates.m2m.utils;

import org.eclipse.app4mc.amalthea.model.FrequencyDomain
import templates.AbstractAmaltheaInchronTransformer
import org.eclipse.app4mc.amalthea.model.Time
import com.inchron.realtime.root.model.TimeUnit

public class TimeUtilsTransformer extends AbstractAmaltheaInchronTransformer{

	public def create inchronModelFactory.createTime createTime( Time amltTime){
	 	
	 	it.value=amltTime?.value?.longValue
	 	
	 	switch (amltTime?.unit.getName) {
 			case "s": {
 				it.unit = TimeUnit.S
 			}
 			case "ms": {
 				it.unit = TimeUnit.MS
 			}
 			case "us": {
 				it.unit = TimeUnit.US
 			}
 			case "ns": {
 				it.unit = TimeUnit.NS
 			}
 			case "ps": {
 				it.unit = TimeUnit.PS
 			}
	}
}

}
